Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgBatchPropertyCollection Class Reference
[MgBatchPropertyCollection]

MgBatchPropertyCollection represents a collection of properties. Properties are name/value pairs used for specifying the values of properties. More...

Inherits MgCollection.

List of all members.

## Public Member Functions
virtual void | Add (MgPropertyCollection *value)
| Adds the specified item to the end of the collection.
virtual void | Clear ()
| Removes all items from the collection.
virtual bool | Contains (const MgPropertyDefinition *value)
| Returns true if the collection contains the specified item, false otherwise.
virtual INT32 | GetCount () const
| Gets the number of items in the collection.
virtual MgPropertyCollection * | GetItem (INT32 index) const
| Gets the item in the collection at the specified index.
virtual INT32 | IndexOf (const MgPropertyDefinition *value) const
| Returns the index of the specified item in the collection or -1 if the item does not exist.
virtual void | Insert (INT32 index, MgPropertyCollection *value)
| Inserts the specified item at the specified index within the collection. Items following the insertion point are moved down to accommodate the new item.
| MgBatchPropertyCollection ()
| Constructs a PropertyDefinitionCollection. The collection is initially empty.
virtual bool | Remove (MgPropertyCollection *value)
| Removes the specified item from the collection.
virtual void | RemoveAt (INT32 index)
| Removes the specified item from the collection.
virtual void | SetItem (INT32 index, MgPropertyCollection *value)
| Sets the item in the collection at the specified index to the specified value.

## Detailed Description

MgBatchPropertyCollection represents a collection of properties. Properties are name/value pairs used for specifying the values of properties.

Note:
  Collections are NOT thread safe and ordered in the sequence of add operation.

Comments or suggestions? Send us feedback.